Package org.globus.gsi.util

# Enum Oid

java.lang.Object
java.lang.Enum<Oid>
org.globus.gsi.util.Oid

All Implemented Interfaces:
  `Serializable`, `Comparable<Oid>`, `java.lang.constant.Constable`

public enum Oid extends Enum<Oid>
Common OID values. Adapted from BouncyCastle BCStyle class. Copyright (c) 2000 - 2012 The Legion Of The Bouncy Castle (http://www.bouncycastle.org) Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BUSINESS_CATEGORY`
businessCategory - DirectoryString(SIZE(1..128)
`C`
country code - StringType(SIZE(2))
`CN`
common name - StringType(SIZE(1..64))
`COUNTRY_OF_CITIZENSHIP`
RFC 3039 CountryOfCitizenship - PrintableString (SIZE (2)) -- ISO 3166 codes only
`COUNTRY_OF_RESIDENCE`
RFC 3039 CountryOfResidence - PrintableString (SIZE (2)) -- ISO 3166 codes only
`DATE_OF_BIRTH`
RFC 3039 DateOfBirth - GeneralizedTime - YYYYMMDD000000Z
`DC`
`DMD_NAME`
RFC 2256 dmdName
`DN_QUALIFIER`
dnQualifier - DirectoryString(SIZE(1..64)
`EmailAddress`
Email address (RSA PKCS#9 extension) - IA5String.
`GENDER`
RFC 3039 Gender - PrintableString (SIZE(1)) -- "M", "F", "m" or "f"
`GENERATION`
`GIVENNAME`
`INITIALS`
`IP`
`L`
locality name - StringType(SIZE(1..64))
`NAME`
id-at-name
`NAME_AT_BIRTH`
ISIS-MTT NameAtBirth - DirectoryString(SIZE(1..64)
`O`
organization - StringType(SIZE(1..64))
`OU`
organizational unit name - StringType(SIZE(1..64))
`PLACE_OF_BIRTH`
RFC 3039 PlaceOfBirth - DirectoryString(SIZE(1..128)
`POSTAL_ADDRESS`
RFC 3039 PostalAddress - SEQUENCE SIZE (1..6) OF DirectoryString(SIZE(1..30))
`POSTAL_CODE`
postalCode - DirectoryString(SIZE(1..40)
`PSEUDONYM`
RFC 3039 Pseudonym - DirectoryString(SIZE(1..64)
`SERIALNUMBER`
device serial number name - StringType(SIZE(1..64))
`ST`
state, or province name - StringType(SIZE(1..64))
`STREET`
street - StringType(SIZE(1..64))
`SURNAME`
Naming attributes of type X520name
`T`
Title
`TELEPHONE_NUMBER`
id-at-telephoneNumber
`UID`
LDAP User id.
`UNIQUE_IDENTIFIER`
`UnstructuredAddress`
`UnstructuredName`
more from PKCS#9

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`oid`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Oid`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Oid[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### C

public static final Oid C
country code - StringType(SIZE(2))

### O

public static final Oid O
organization - StringType(SIZE(1..64))

### OU

public static final Oid OU
organizational unit name - StringType(SIZE(1..64))

### T

public static final Oid T
Title

### CN

public static final Oid CN
common name - StringType(SIZE(1..64))

### SERIALNUMBER

public static final Oid SERIALNUMBER
device serial number name - StringType(SIZE(1..64))

### L

public static final Oid L
locality name - StringType(SIZE(1..64))

### ST

public static final Oid ST
state, or province name - StringType(SIZE(1..64))

### STREET

public static final Oid STREET
street - StringType(SIZE(1..64))

### SURNAME

public static final Oid SURNAME
Naming attributes of type X520name

### GIVENNAME

public static final Oid GIVENNAME

### INITIALS

public static final Oid INITIALS

### GENERATION

public static final Oid GENERATION

### UNIQUE_IDENTIFIER

public static final Oid UNIQUE_IDENTIFIER

### BUSINESS_CATEGORY

public static final Oid BUSINESS_CATEGORY
businessCategory - DirectoryString(SIZE(1..128)

### POSTAL_CODE

public static final Oid POSTAL_CODE
postalCode - DirectoryString(SIZE(1..40)

### DN_QUALIFIER

public static final Oid DN_QUALIFIER
dnQualifier - DirectoryString(SIZE(1..64)

### PSEUDONYM

public static final Oid PSEUDONYM
RFC 3039 Pseudonym - DirectoryString(SIZE(1..64)

### DATE_OF_BIRTH

public static final Oid DATE_OF_BIRTH
RFC 3039 DateOfBirth - GeneralizedTime - YYYYMMDD000000Z

### PLACE_OF_BIRTH

public static final Oid PLACE_OF_BIRTH
RFC 3039 PlaceOfBirth - DirectoryString(SIZE(1..128)

### GENDER

public static final Oid GENDER
RFC 3039 Gender - PrintableString (SIZE(1)) -- "M", "F", "m" or "f"

### COUNTRY_OF_CITIZENSHIP

public static final Oid COUNTRY_OF_CITIZENSHIP
RFC 3039 CountryOfCitizenship - PrintableString (SIZE (2)) -- ISO 3166 codes only

### COUNTRY_OF_RESIDENCE

public static final Oid COUNTRY_OF_RESIDENCE
RFC 3039 CountryOfResidence - PrintableString (SIZE (2)) -- ISO 3166 codes only

### NAME_AT_BIRTH

public static final Oid NAME_AT_BIRTH
ISIS-MTT NameAtBirth - DirectoryString(SIZE(1..64)

### POSTAL_ADDRESS

public static final Oid POSTAL_ADDRESS
RFC 3039 PostalAddress - SEQUENCE SIZE (1..6) OF DirectoryString(SIZE(1..30))

### DMD_NAME

public static final Oid DMD_NAME
RFC 2256 dmdName

### TELEPHONE_NUMBER

public static final Oid TELEPHONE_NUMBER
id-at-telephoneNumber

### NAME

public static final Oid NAME
id-at-name

### EmailAddress

public static final Oid EmailAddress
Email address (RSA PKCS#9 extension) - IA5String.

Note: if you're trying to be ultra orthodox, don't use this! It shouldn't be in here.

### UnstructuredName

public static final Oid UnstructuredName
more from PKCS#9

### UnstructuredAddress

public static final Oid UnstructuredAddress

### DC

public static final Oid DC

### UID

public static final Oid UID
LDAP User id.

### IP

public static final Oid IP

## Field Details

### oid

public final String oid

## Method Details

### values

public static Oid[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Oid valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Oid>`